View Issue Details

IDProjectCategoryView StatusLast Update
0002249Industrial-Craft²E-Net, cabling, storage/transformer blockspublic2017-08-31 18:25
ReporterkcoAssigned ToAroma1997 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.12.x 
Summary0002249: 'do not output energy' and 'do not output energy unless full' modes do not work for an EU storage block
Descriptionforge version: 14.22.0.2452
IC2 version: 2.8.16-ex112

Both 'do not output energy' and 'do not output energy unless full' modes do not affect an EU storage block.
If the EU storage block powered by active redstone, input and output functions will not work
TagsEU
Minecraft Version1.12.1

Activities

Xirema

2017-08-21 15:53

reporter   ~0005420

As far as I'm aware, the correct behavior for these two modes is:

* If no redstone signal is received, the block behaves as normal.
* If a redstone signal is applied, redstone prevents EU output (unless using the "do not output unless full" option, which will emit when full, even when redstone is applied)

Because the wording of your description is a little vague, can you confirm that the behavior you're observing is *not* one of the behaviors described above?

kco

2017-08-24 11:12

reporter   ~0005422

I have investigated it again using information your provided.

Those two modes I described above work only when redstone signal is applied.
But redstone signal also prevents energy input.

Is it correct behaviour?

P.S Current behaviour makes sense, but it was unobvious

Xirema

2017-08-24 14:40

reporter   ~0005423

Redstone preventing *input* might be a bug. Will have to wait for a developer to comment on things to confirm or deny.

Issue History

Date Modified Username Field Change
2017-08-11 19:49 kco New Issue
2017-08-11 19:49 kco Tag Attached: EU
2017-08-21 15:53 Xirema Note Added: 0005420
2017-08-24 11:12 kco Note Added: 0005422
2017-08-24 14:40 Xirema Note Added: 0005423
2017-08-31 18:25 Aroma1997 Assigned To => Aroma1997
2017-08-31 18:25 Aroma1997 Status new => resolved
2017-08-31 18:25 Aroma1997 Resolution open => fixed
2017-08-31 18:25 Aroma1997 Fixed in Version => Builds for MC 1.12.x